Attach square logo, landscape logo, and business name at Performance Max campaign level for Brand Guidelines.
curl --request POST \
--url https://adsmcp.si/api/v1/tools/add_google_pmax_campaign_logo/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"platform": "google"
}
'import requests
url = "https://adsmcp.si/api/v1/tools/add_google_pmax_campaign_logo/execute"
payload = { "platform": "google" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({platform: 'google'})
};
fetch('https://adsmcp.si/api/v1/tools/add_google_pmax_campaign_logo/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://adsmcp.si/api/v1/tools/add_google_pmax_campaign_logo/execute",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'platform' => 'google'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://adsmcp.si/api/v1/tools/add_google_pmax_campaign_logo/execute"
payload := strings.NewReader("{\n \"platform\": \"google\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://adsmcp.si/api/v1/tools/add_google_pmax_campaign_logo/execute")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"platform\": \"google\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://adsmcp.si/api/v1/tools/add_google_pmax_campaign_logo/execute")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"platform\": \"google\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"platform": "<string>",
"tool": "<string>",
"error": {
"message": "<string>",
"code": "<unknown>",
"details": "<unknown>"
},
"mcp_response": "<unknown>",
"data": "<unknown>"
}google
Attach square logo, landscape logo, and business name at Performance Max campaign level for Brand Guidelines.
Attach square logo, landscape logo, and business name at Performance Max campaign level for Brand Guidelines. Use this when you intend that change. Write tools create paused objects or wait for approval, and a failed spend-affecting call is not retried automatically.
POST
/
api
/
v1
/
tools
/
add_google_pmax_campaign_logo
/
execute
Attach square logo, landscape logo, and business name at Performance Max campaign level for Brand Guidelines.
curl --request POST \
--url https://adsmcp.si/api/v1/tools/add_google_pmax_campaign_logo/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"platform": "google"
}
'import requests
url = "https://adsmcp.si/api/v1/tools/add_google_pmax_campaign_logo/execute"
payload = { "platform": "google" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({platform: 'google'})
};
fetch('https://adsmcp.si/api/v1/tools/add_google_pmax_campaign_logo/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://adsmcp.si/api/v1/tools/add_google_pmax_campaign_logo/execute",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'platform' => 'google'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://adsmcp.si/api/v1/tools/add_google_pmax_campaign_logo/execute"
payload := strings.NewReader("{\n \"platform\": \"google\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://adsmcp.si/api/v1/tools/add_google_pmax_campaign_logo/execute")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"platform\": \"google\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://adsmcp.si/api/v1/tools/add_google_pmax_campaign_logo/execute")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"platform\": \"google\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"platform": "<string>",
"tool": "<string>",
"error": {
"message": "<string>",
"code": "<unknown>",
"details": "<unknown>"
},
"mcp_response": "<unknown>",
"data": "<unknown>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.